Summary:	xsm application - X Session Manager
Summary(pl.UTF-8):	Aplikacja xsm - zarządca sesji X
Name:		xorg-app-xsm
Version:	1.0.3
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xsm-%{version}.tar.bz2
# Source0-md5:	2a9818eba05556e6e99be87d9b3974c4
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.99
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.99
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xsm application is a session manager. A session is a group of
applications, each of which has a particular state. xsm allows you to
create arbitrary sessions - for example, you might have a "light"
session, a "development" session, or an "xterminal" session. Each
session can have its own set of applications. Within a session, you
can perform a "checkpoint" to save application state, or a "shutdown"
to save state and exit the session. When you log back in to the
system, you can load a specific session, and you can delete sessions
you no longer want to keep.

%description -l pl.UTF-8
Aplikacja xsm to zarządca sesji. Sesja to grupa aplikacji, z których
każda jest w jakimś stanie. xsm pozwala tworzyć dowolne sesje - np.
można mieć sesję "light", "development" i "xterminal". Każda sesja
może mieć własny zbiór aplikacji. W ramach sesji można wykonać
operację "checkpoint" w celu zapisania stanu aplikacji lub "shutdown",
aby zapisać stan i zakończyć sesję. Po ponownym zalogowaniu do systemu
można wczytać określoną sesję; można także usunąć sesje już
niepotrzebne.

%prep
%setup -q -n xsm-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-rsh=/usr/bin/ssh

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xsm
%{_datadir}/X11/app-defaults/XSm
%dir /etc/X11/xsm
%config(noreplace) %verify(not md5 mtime size) /etc/X11/xsm/system.xsm
%{_mandir}/man1/xsm.1*
%changelog
* Sun May 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xsm.git;a=log;h=master

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 6f4ddd6
- fix files
- rel 2

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 7c5fdbd
- updated to 1.0.3

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d5d8fc6
- dropped pre-cvs changelog

* Wed Sep 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 07c8fb7
- updated to 1.0.2
- removed obsolete xaw patch
- real descs
- updated RSH default to /usr/bin/ssh

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c24cda4
- rel 5; fix xaw build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f59efa2
- updated

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 18cf53d
- updated

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c4947e1
- new

* Sun Nov 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d6b478
- rel 4; don't rebuild am/ac untill rebuild tarball available

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9bc0dd8
- release 3

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fdc36d
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a1288dc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0f2bd62
- converted to UTF-8

* Mon Oct 16 2006 Jakub Bogusz <qboosh@pld-linux.org> ab4eca7
- changed config dir to /etc/X11/xsm (following X11-PLD.patch)
- use individual dir, more verbose files, release 1

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> ff33cba
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Fri Jan 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 117360a
- 1.0.1 (X11R7.0 release)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> ec7e76c
- 0.99.2 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> d0089b4
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 8da84da
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch
- set RSH to /usr/bin/rsh, don't BR rsh at build time

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 05e9ca4
- sorted BRs

